Bug 995477 - kdump does not work with live images
kdump does not work with live images
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tong Li
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 09:41 EDT by Vivek Goyal
Modified: 2016-12-12 00:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-12 00:54:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
how to setup kdump in Live CD (1.06 KB, text/plain)
2016-09-30 05:02 EDT, Tong Li
no flags Details
Try to filter "root" argument when running in Live CD (335 bytes, patch)
2016-09-30 05:04 EDT, Tong Li
no flags Details | Diff

  None (edit)
Description Vivek Goyal 2013-08-09 09:41:23 EDT
Description of problem:

Kdump does not work with live images. Some users want it to work there too.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dave Young 2013-08-12 10:24:18 EDT
Hi, Vivek

For the Live media support, there's several limitations I think:

a. The live media initrd is created by anaconda, not sure the difference between normal initrd. So 2nd kernel live rootfs mounting probably will fail.

b. It need user manually modify grub cmdline while booting for the crashkernel. Also manually yum install kexec-tools after booting into desktop.

It should be ok for user to specify a standalone disk for dump target. It make no much sense to dump to ramfs.

What do you think?

Thanks
Dave
Comment 2 Vivek Goyal 2013-08-12 10:36:08 EDT
(In reply to Dave Young from comment #1)
> Hi, Vivek
> 
> For the Live media support, there's several limitations I think:
> 
> a. The live media initrd is created by anaconda, not sure the difference
> between normal initrd. So 2nd kernel live rootfs mounting probably will fail.

But that is boot initrd. I was under the impression that certain parts of
root will be somehow on RAM and be writable. So we will be able to start
kdump service and generate an initramfs. Is that not the case?
Comment 3 Vivek Goyal 2013-08-12 10:37:38 EDT
(In reply to Dave Young from comment #1)

> b. It need user manually modify grub cmdline while booting for the
> crashkernel. Also manually yum install kexec-tools after booting into
> desktop.

For kexec-tools, I think it should make sense to make it part of default
install. Otherwise installing it manually should act as a workaround though.


> 
> It should be ok for user to specify a standalone disk for dump target. It
> make no much sense to dump to ramfs.

Yes, either to a disk or send it over network.
Comment 4 Fedora End Of Life 2013-09-16 12:28:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Fedora End Of Life 2015-05-29 05:18:23 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:15:36 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jan Kurik 2016-02-24 10:34:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 10 Dave Young 2016-09-25 22:50:28 EDT
Litong, Can you do a test with latest Fedora?
Comment 11 Tong Li 2016-09-27 03:48:24 EDT
(In reply to Dave Young from comment #10)
> Litong, Can you do a test with latest Fedora?

I tested with a live USB created from 'Fedora-Workstation-Live-x86_64-25_Alpha-2.iso'. I tried two dump target. Both of them print such a error on serial and then the system was halted.

[    3.637243] dracut: FATAL: Don't know how to handle 'root=live:CDLABEL=Fedora-WS-Live-25_A-2'
[    3.646358] dracut: Refusing to continue

1. ext4 /dev/sdb4

/dev/sdb4 is a partition on my USB stick whose file system is ext4.

2. ssh root@10.*.*.*

This is my laptop which is in the same LAN with the testing machine.
Comment 12 Xunlei Pang 2016-09-27 05:37:48 EDT
(In reply to Tong Li from comment #11)
> (In reply to Dave Young from comment #10)
> > Litong, Can you do a test with latest Fedora?
> 
> I tested with a live USB created from
> 'Fedora-Workstation-Live-x86_64-25_Alpha-2.iso'. I tried two dump target.
> Both of them print such a error on serial and then the system was halted.
> 
> [    3.637243] dracut: FATAL: Don't know how to handle
> 'root=live:CDLABEL=Fedora-WS-Live-25_A-2'
> [    3.646358] dracut: Refusing to continue
> 
> 1. ext4 /dev/sdb4
> 
> /dev/sdb4 is a partition on my USB stick whose file system is ext4.
> 
> 2. ssh root@10.*.*.*
> 
> This is my laptop which is in the same LAN with the testing machine.

Hi Tong,

Could you please try to remove "root=live:CDLABEL=Fedora-WS-Live-25_A-2" using "KDUMP_COMMANDLINE" in /etc/sysconfig/kdump?
Comment 13 Tong Li 2016-09-28 01:28:10 EDT
(In reply to Xunlei Pang from comment #12)
> (In reply to Tong Li from comment #11)
> > (In reply to Dave Young from comment #10)
> > > Litong, Can you do a test with latest Fedora?
> > 
> > I tested with a live USB created from
> > 'Fedora-Workstation-Live-x86_64-25_Alpha-2.iso'. I tried two dump target.
> > Both of them print such a error on serial and then the system was halted.
> > 
> > [    3.637243] dracut: FATAL: Don't know how to handle
> > 'root=live:CDLABEL=Fedora-WS-Live-25_A-2'
> > [    3.646358] dracut: Refusing to continue
> > 
> > 1. ext4 /dev/sdb4
> > 
> > /dev/sdb4 is a partition on my USB stick whose file system is ext4.
> > 
> > 2. ssh root@10.*.*.*
> > 
> > This is my laptop which is in the same LAN with the testing machine.
> 
> Hi Tong,
> 
> Could you please try to remove "root=live:CDLABEL=Fedora-WS-Live-25_A-2"
> using "KDUMP_COMMANDLINE" in /etc/sysconfig/kdump?

Hi Xunlei,

After appending "root" in KDUMP_COMMANDLINE_REMOVE of /etc/sysconfig/kdump, kdump worked well. But the captured vmcore was too large because of bug 1377567
Comment 14 Dave Young 2016-09-30 02:34:39 EDT
Hi, Li Tong

So looks like livecd dump works with some manual steps. If so can you write a document about how to test with livecd, we can maintain it in fedora kexec-tools.

Thanks
Dave
Comment 15 Tong Li 2016-09-30 05:02 EDT
Created attachment 1206183 [details]
how to setup kdump in Live CD
Comment 16 Tong Li 2016-09-30 05:04 EDT
Created attachment 1206184 [details]
Try to filter "root" argument when running in Live CD

Note You need to log in before you can comment on or make changes to this bug.